.RegisterPage {
    display: grid;
    margin-top: var(--header-total-height);
    grid-template-columns: 1fr 1fr;
    grid-column-gap: 30px;

    @include mobile {
        grid-template-columns: none;
    }

    &-ImageWrapper {
        min-height: 600px;
        padding: 60px 40px 60px 60px;
        background: linear-gradient(360deg, var(--primary-base-color) 11.74%, rgba(20, 20, 20, 0) 41.09%),
            linear-gradient(0deg, rgba(20, 20, 20, 0.5), rgba(20, 20, 20, 0.5)),
            url('/static/frontend/Xcoding/ftg/pl_PL/Magento_Theme/assets/images/global/register-bg.jpg');

        @include mobile {
            padding: 24px;
            margin-right: -1rem;
            margin-left: -1rem;
        }

        h2 {
            margin-bottom: 40px;
            color: var(--secondary-base-color);
            font-size: 40px;
            line-height: 40px;

            @include mobile {
                font-size: 20px;
                line-height: 22px;
            }
        }

        li {
            padding-left: 55px;
            margin-bottom: 35px;
            color: $white;
            font-size: 20px;
            font-weight: 500;

            @include mobile {
                padding-left: 45px;
                margin-bottom: 20px;
                font-size: 14px;
            }

            &::before {
                left: 0;
                content: url('../../style/images/crown_green.svg');

                @include mobile {
                    top: -2px;
                    transform: scale(0.7);
                }
            }
        }
    }

    &-FormWrapper {
        padding-top: 30px;
        padding-bottom: 30px;

        @include after-mobile {
            max-width: 450px;
        }
    }

    input {
        width: 100%;
    }

    h1 {
        @include after-mobile {
            font-size: 48px;
        }
    }

    &-SignInMessage {
        margin-top: 20px;
        margin-bottom: 35px !important;
        font-weight: 500;

        a {
            text-decoration: underline;
        }
    }

    &-Checkboxes {
        margin: 30px 0;

        a {
            text-decoration: underline;

            + a {
                margin-left: 0;
            }
        }
    }

    &-Checkbox {
        display: flex;
    }

    &-DataCompliance {
        margin-top: 20px;
        color: var(--grey-4-color);
        font-size: 12px;

        > p {
            font-size: inherit;
        }
    }
}
